rte_flow_item_icmp6_nd_opt(3)

NAME
rte_flow_item_icmp6_nd_opt

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t type
uint8_t length

Detailed Description

RTE_FLOW_ITEM_TYPE_ICMP6_ND_OPT

Matches the presence of any ICMPv6 neighbor discovery option.

Normally preceded by any of:

•   RTE_FLOW_ITEM_TYPE_ICMP6_ND_NA

•   RTE_FLOW_ITEM_TYPE_ICMP6_ND_NS

•   RTE_FLOW_ITEM_TYPE_ICMP6_ND_OPT

Definition at line 1548 of file rte_flow.h.

Field Documentation

  uint8_t type
ND option type.

Definition at line 1549 of file rte_flow.h.

  uint8_t length
ND option length.

Definition at line 1550 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.